В протоколе OpenSSL обнаружена уязвимость

rthsrthsrthtdjfyИз-за уязвимости в протоколе шифрования OpenSSL, который широко применяется для защиты данных в интернете, пользователи двух третей интернет-сайтов оказались под угрозой, поскольку злоумышленники могли получить доступ к их конфиденциальным данным: паролям и идентификаторам.

Уязвимость получила яркое название – «Кровоточащее сердце».

Многие интернет-компании, включая и Yahoo!, незамедлительно заявили о модификации сайтов с целью защиты от обнаруженной угрозы.

Протокол OpenSSL – набор программ с открытым исходным кодом, основанный на стандартах шифрования TLS и SSL (на сайтах, использующих этот тип шифрования, в строке адреса в браузере изображена иконка в виде висячего замка). Эти программы распространяются бесплатно.

Развитием этих программных продуктов занимаются несколько программистов, и только для одного это основная работа. Поддерживает проект фонд OpenSSL Software Foundation. По словам президента фонда Стива Маркесса, в 2013 г. бюджет проекта был менее 1 млн. долларов: «Несомненно, проект нуждается в более эффективных кадровых ресурсах, – говорит Стив Маркесс. – Не повредил бы и официальный аудит программного кода». К слову, Маркесс в прошлом был консультантом министерства обороны, он единственный гражданин США, участвующий в указанном фонде, остальные живут в Европе, что позволяет фонду OpenSSL Software Foundation избегать ограничений в экспорте технологий шифрования.

Владельцы онлайн-ресурсов стараются защищать сайты, однако создание своих средств шифрования – непростое дело, что и стало основным фактором, способствующим такому широкому распространению бесплатного пакета шифрования OpenSSL. Для большинства название SSL фактически – синоним онлайн–шифрования. По словам Стива Маркесса, пакет OpenSSL используется и на сайтах министерства национальной безопасности и минобороны США. Представители интернет-компании Amazon подозревают, что их многочисленные клиенты, работающие с сервисами Amazon, также применяют протокол OpenSSL. Однако в компании сообщили, что проблема с уязвимостью для пользователей AWS была оперативно решена.